www.cendio.com
Bug 7126 - No animation for initial close of toolbar if it starts on the right side
: No animation for initial close of toolbar if it starts on the right side
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.11.0
Assigned To:
:
:
: 7365
:
  Show dependency treegraph
 
Reported: 2018-03-08 16:04 by
Modified: 2019-11-04 12:11 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2018-03-08 16:04:44
The toolbar in Web Access shows briefly after connecting. If the user doesn't
interact with the toolbar, it will automatically hide after 2 seconds.

The toolbar can be moved to either side, but as standard it appears on the left
side. If a user has moved the toolbar to the right side, this preference will
be saved to the browsers web storage, and this preference will be used for
future Web Access sessions.

A bug prevents the animation from working for this first close of the toolbar.
Subsequent opens and closes works fine.
------- Comment #3 From cendio 2018-03-08 16:59:16 -------
Fix committed upstream:
https://github.com/novnc/noVNC/commit/06309160ee25b7b99c96008f3d4d28933b097715
------- Comment #4 From cendio 2019-10-31 10:37:25 -------
Tested after vendor drop (Build 6278) on:
* Windows 10 - IE 11, Edge 18, Chrome 78 and Firefox 70.

Works fine on these!
------- Comment #5 From cendio 2019-10-31 13:59:14 -------
Verified this as well and it works fine on Windows 10 - IE 11, Edge 18, Chrome
78 and Firefox 70.